export declare function timeout(ms: number, ...rest: any[]): Promise<void>;
export declare function delay(ms: number): <T>(args?: T) => Promise<T>;
export declare class Pace {
    private maxConcurrent;
    private pace;
    private waitUntil;
    private waiting;
    private started;
    private queue;
    isAllowed(): boolean;
    collectionPeriod: number;
    constructor({ pace, maxConcurrent, collectionPeriod }: {
        pace?: number;
        maxConcurrent?: number;
        collectionPeriod?: number;
    });
    setPace(ms: number): void;
    setMaxConcurrent(maxConcurrent: number): void;
    inQueue(): number;
    inProgress(): number;
    add(fn: CallFunction, key?: string): Promise<any>;
    private resolveItem;
}
interface CallFunction {
    (msSinceAdding: number): any;
}
export {};
